%global _empty_manifest_terminate_build 0
Name:		openstack-release
Version:	1.0.6
Release:	2
Summary:	Yum repo for OpenStack releases
License:	Apache-2.0
URL:		https://gitee.com/openeuler/openstack-releases
Source0:	openstack-releases-%{version}.tar.gz
BuildArch:	noarch

%description
Yum repo for OpenStack releases


%package -n openstack-release-train
Summary:	Yum repo for OpenStack release train
Conflicts: openstack-release-wallaby
%description -n openstack-release-train
Yum repo for OpenStack release train

%package -n openstack-release-wallaby
Summary:	Yum repo for OpenStack release wallaby
Conflicts: openstack-release-train
%description -n openstack-release-wallaby
Yum repo for OpenStack release wallaby

%prep
%autosetup -n openstack-releases-%{version}

%build
rm -f README.md
cp openstack-template.repo openstack-train.repo
mv openstack-template.repo openstack-wallaby.repo

sed -i "s/\$openEuler_release/openEuler-22.03-LTS-SP1/" openstack-train.repo
sed -i "s/\$OpenStack_release/Train/" openstack-train.repo
sed -i "s/\$openEuler_release/openEuler-22.03-LTS-SP1/" openstack-wallaby.repo
sed -i "s/\$OpenStack_release/Wallaby/" openstack-wallaby.repo

%install
install -D -m644 openstack-train.repo %{buildroot}%{_sysconfdir}/yum.repos.d/openstack-train.repo
install -D -m644 openstack-wallaby.repo %{buildroot}%{_sysconfdir}/yum.repos.d/openstack-wallaby.repo

%files -n openstack-release-train
%{_sysconfdir}/yum.repos.d/openstack-train.repo

%files -n openstack-release-wallaby
%{_sysconfdir}/yum.repos.d/openstack-wallaby.repo

%changelog
* Tue Oct 25 2022 wangxiyuan <wangxiyuan1007@gmail.com> - 1.0.6-2
- Upgrade to 22.03 LTS SP1
* Mon Apr 11 2022 wangxiyuan <wangxiyuan1007@gmail.com> - 1.0.6-1
- Upgrade to 1.0.6 to correct gpgkey url.

* Wed Apr 06 2022 wangxiyuan <wangxiyuan1007@gmail.com> - 1.0.5-1
- Upgrade to 1.0.5 to add update yum repo

* Thu Mar 24 2022 wangxiyuan <wangxiyuan1007@gmail.com> - 1.0.4-1
- Upgrade to 1.0.4

* Mon Feb 07 2022 wangxiyuan <wangxiyuan1007@gmail.com>
- Package Spec generated
